textures/gothic_wall/streetbricks10_shiny
{
	q3map_globaltexture
	sort opaque

	{
		map $lightmap 
		tcmod turb sin .1 .1 0 0
		tcmod scale 2 2
		rgbgen identity
	}

	{
		map textures/gothic_wall/streetbricks11.tga
		rgbGen identity
		blendfunc gl_one gl_src_color
	}
	
	{
		map $lightmap 
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}


}


textures/oligear/tree03_still
{
	qer_editorimage textures/oligear/tree03_still.tga
    	surfaceparm trans	
	surfaceparm alphashadow
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/oligear/tree03_still.tga
		blendFunc BLEND
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/oligear/tree01_still
{
	qer_editorimage textures/oligear/tree01_still.tga
    	surfaceparm trans	
	surfaceparm alphashadow
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/oligear/tree01_still.tga
		blendFunc BLEND
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/oligear/env/cm_sea
{
	qer_editorimage textures/oligear/env/cm_sea_lf.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 25
	q3map_lightsubdivide 512
	q3map_sun 1 1 1 32	90 90	
	skyparms textures/oligear/env/cm_sea - -
}

//Dirt

textures/olirally/ovterra_0
{
surfaceparm nolightmap
q3map_novertexshadows
q3map_forcesunlight
{
map textures/q3r_dirt_grass/dirt01.tga
rgbGen vertex
tcmod scale 0.125 0.125
}
{
map textures/skies2/clouds.tga
blendfunc filter
detail
tcmod scale 0.01 0.01
tcMod scroll -0.05 0.05
tcmod transform 1 0 1 1 1 1
}
}

//Grass

textures/olirally/ovterra_1
{
surfaceparm nolightmap
q3map_novertexshadows
q3map_forcesunlight
{
map textures/q3r_dirt_grass/grass01.tga
rgbGen vertex
tcmod scale 0.1 0.1
}
{
map textures/skies2/clouds.tga
blendfunc filter
detail
tcmod scale 0.01 0.01
tcMod scroll -0.05 0.05
tcmod transform 1 0 1 1 1 1
}
}

//Stone

textures/olirally/ovterra_2
{
surfaceparm nolightmap
q3map_novertexshadows
q3map_forcesunlight
{
map textures/q3r_dirt_grass/rock03.tga
tcmod scale 0.05 0.05
rgbGen vertex
}
{
map textures/skies2/clouds.tga
blendfunc filter
detail
tcmod scale 0.01 0.01
tcMod scroll -0.05 0.05
tcmod transform 1 0 1 1 1 1
}
}

//Dirt to Grass

textures/olirally/ovterra_0to1
{
surfaceparm nolightmap
q3map_novertexshadows
q3map_forcesunlight
{
map textures/q3r_dirt_grass/dirt01.tga
rgbGen vertex
alphaGen vertex
tcmod scale 0.125 0.125
}
{
map textures/q3r_dirt_grass/grass01.tga
tcmod scale 0.1 0.1
rgbGen vertex
alphaGen vertex
blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
}
{
map textures/skies2/clouds.tga
blendfunc filter
detail
tcmod scale 0.01 0.01
tcMod scroll -0.05 0.05
tcmod transform 1 0 1 1 1 1
}
}

//dirt to stone

textures/olirally/ovterra_0to2
{
surfaceparm nolightmap
q3map_novertexshadows
q3map_forcesunlight
{
map textures/q3r_dirt_grass/dirt01.tga
rgbGen vertex
alphaGen vertex
tcmod scale 0.125 0.125
}
{
map textures/q3r_dirt_grass/rock03.tga
rgbGen vertex
alphaGen vertex
tcmod scale 0.05 0.05
blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
}
{
map textures/skies2/clouds.tga
blendfunc filter
detail
tcmod scale 0.01 0.01
tcMod scroll -0.05 0.05
tcmod transform 1 0 1 1 1 1
}
}

//grass to stone

textures/olirally/ovterra_1to2
{
surfaceparm nolightmap
q3map_novertexshadows
q3map_forcesunlight
{
map textures/q3r_dirt_grass/grass01.tga
rgbGen vertex
alphaGen vertex
tcmod scale 0.1 0.1
}
{
map textures/q3r_dirt_grass/rock03.tga
tcmod scale 0.05 0.05
rgbGen vertex
alphaGen vertex
blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
}
{
map textures/skies2/clouds.tga
blendfunc filter
detail
tcmod scale 0.01 0.01
tcMod scroll -0.05 0.05
tcmod transform 1 0 1 1 1 1
}
}

textures/plants/tree02
{
	cull disable
	surfaceparm trans

	{
        map textures/plants/tree02.tga
        blendFunc BLEND
	rgbGen vertex

        }
	{
	map $lightmap
	rgbGen identity
	depthFunc equal
	}
}

textures/plants/plant01
{
    cull disable
    surfaceparm alphashadow
    deformVertexes autoSprite
    surfaceparm trans	
        {
        map textures/plants/plant01.tga
        alphaFunc GE128
	depthWrite
	rgbGen vertex
        }
        {
	map $lightmap
	rgbGen identity
	blendFunc filter
	depthFunc equal
	}

}

textures/plants/plant02
{
    cull disable
    surfaceparm alphashadow
    deformVertexes autoSprite2
    surfaceparm trans	
        {
        map textures/plants/plant02.tga
        alphaFunc GE128
	depthWrite
	rgbGen vertex
        }
        {
	map $lightmap
	rgbGen identity
	blendFunc filter
	depthFunc equal
	}

}
textures/plants/plant03
//A tall grass border
{
    cull disable
    surfaceparm alphashadow
    surfaceparm trans	
        {
        map textures/plants/plant03.tga
        alphaFunc GE128
	depthWrite
	rgbGen vertex
        }
        {
	map $lightmap
	rgbGen identity
	blendFunc filter
	depthFunc equal
	}

}

textures/plants/plant04
//A square-shaped fern
{
    cull disable
    surfaceparm alphashadow
    surfaceparm trans	
    deformVertexes autoSprite
        
	{
        map textures/plants/plant04.tga
        alphaFunc GE128
	depthWrite
	rgbGen vertex
        }
        {
	map $lightmap
	rgbGen identity
	blendFunc filter
	depthFunc equal
	}

}

textures/plants/plant05
//Flowers with slanted blocks on bottom
{
    cull disable
    surfaceparm alphashadow
    surfaceparm trans	
        
	{
        map textures/plants/plant05.tga
        alphaFunc GE128
	depthWrite
	rgbGen vertex
        }
        {
	map $lightmap
	rgbGen identity
	blendFunc filter
	depthFunc equal
	}

}